# The "TracePopup" Widget

This widget provides a trace display in a popup.

Library: karmawidgets
Link With: -lkarmawidgets

#### Tables

TracePopup_ResourceNames | List of resource names for TracePopup widget
TracePopup_Resources | List of resources for TracePopup widget

#### Functions

XkwTracePopupNewArray | Register new array.
XkwTracePopupShowTrace | Show a trace.
XkwTracePopupShowTraces | Show a weighted, summed trace.
XkwTracePopupShowBoxedTrace | Show a boxed trace.
XkwTracePopupInvalidate | Invalidate trace data.

## Tables

TracePopup_ResourceNames List of resource names for TracePopup widget

Name | Purpose
XkwNverbose | If TRUE verbose output is displayed
XkwNcanvasVisual | The visual for the canvas
XkwNworldCanvas | The world canvas that is created
XkwNrealiseCallbacks | Callbacks when the canvas is realised
XkwNkarmaColourmap | The Karma colourmap

TracePopup_Resources List of resources for TracePopup widget

Name | Class | Rep. Type | Default
XkwNverbose | XkwCVerbose | XtRBool | FALSE
XkwNcanvasVisual | XtCVisual | XtRVisual | CopyFromParent
XkwNworldCanvas | XkwCWorldCanvas | XtRPointer | NULL
XkwNrealiseCallback | XtCCallback | XtRCallback | NULL
XkwNkarmaColourmap | XkwCKarmaColourmap | XtRPointer | NULL

## Functions

#### EXPERIMENTAL FUNCTION: subject to change without notice

void XkwTracePopupNewArray (Widget W, iarray array, double min, double max)

Register new array.

Parameters:

- W : The TracePopup widget.
- array : The new array. This may be NULL.
- min : The minimum (unscaled) data value in the array.
- max : The maximum (unscaled) data value in the array. If this is less than min then the minimum and maximum values are computed.

Returns: Nothing.
Multithreading Level: Unsafe

#### EXPERIMENTAL FUNCTION: subject to change without notice

void XkwTracePopupShowTrace (Widget W, CONST unsigned int *dim_indices, CONST uaddr *coord_indices)

Show a trace.

Parameters:

- W : The widget.
- dim_indices : The dimension indicies. The length of this array must be one less than the number of dimensions in the array.
- coord_indices : The coordinate indices of the trace. The length of this array must be one less than the number of dimensions in the array.

Returns: Nothing.
Multithreading Level: Unsafe

#### EXPERIMENTAL FUNCTION: subject to change without notice

void XkwTracePopupShowTraces (Widget W, CONST unsigned int *dim_indices, flag sum, float global_weight, unsigned int num_traces, CONST uaddr *coord_indices, CONST float *weights)

Show a weighted, summed trace.

Parameters:

- W : The widget.
- dim_indices : The dimension indicies. The length of this array must be one less than the number of dimensions in the array.
- sum : If TRUE, the data are summed rather than averaged.
- global_weight : This weight value is applied to each trace as it is combined.
- num_traces : The number of traces to combine.
- coord_indices : The co-ordinate indices for the traces. This is grouped into num_traces contiguous blocks of co-ordinate traces. Each block must contain num_dim - 1 co-ordinate indices.
- weights : The weights to apply to each trace as it is combined. If this is NULL no weights are applied.

Returns: Nothing.
Multithreading Level: Unsafe

#### EXPERIMENTAL FUNCTION: subject to change without notice

void XkwTracePopupShowBoxedTrace (Widget W, CONST unsigned int *dim_indices, flag sum, CONST uaddr *start_indices, CONST uaddr *stop_indices)

Show a boxed trace.

Parameters:

- W : The widget.
- dim_indices : The dimension indicies. The length of this array must be one less than the number of dimensions in the array.
- sum : If TRUE the traces are summed, else they are averaged.
- start_indices : The starting coordinate indices of the box. The length of this array must be one less than the number of dimensions in the array.
- stop_indices : The stopping coordinate indices of the box. The length of this array must be one less than the number of dimensions in the array.

Returns: Nothing.
Multithreading Level: Unsafe

#### EXPERIMENTAL FUNCTION: subject to change without notice

void XkwTracePopupInvalidate (Widget W)

Invalidate trace data.

Parameters:

- W : The widget.

Returns: Nothing.
Multithreading Level: Unsafe

Back to Karma Home Page